/*
*	L o t u s   I m p r o v
*
*	Filename:				imxLoader.h
*	Created:				Oct 16, 1990
*	Author:   				Curt Gridley
*	Description:			public Improv API menu server module interface 
*
*	You may freely copy, distribute and reuse the code in this example.
*	Lotus disclaims any warranty of any kind, expressed or implied, as to its
*	fitness for any particular use.
*
*	Copyright (c) Lotus Development Corporation 1990, 1991
*/

#import <objc/Object.h>
#import <appkit/Menu.h>
#import <appkit/MenuCell.h>

//-----------------------------------------------------------------------------
//	Interface: imxMenuServer
//-----------------------------------------------------------------------------

@interface  imxMenuServer : Menu

{}
+ finishLoading:(struct mach_header *)header;
+ startUnloading;
+ new;
- (BOOL)menuItemUpdate:menuCell;
- (int)addMenuItem:(const char *)name target:targ
		action:(SEL)aSelector key:(unsigned short)key
		update:(BOOL)doUpdate;
- (int)deleteMenuItemWithTag:(int)aTag;
- (int)setEnabled:(BOOL)enabled forMenuItemWithTag:(int)aTag;
- (int)getMenu:(id *)menuP andCell:(id *)menuCellP forTag:(int)aTag;

@end

